Bug 58153 - Useless default print command
Useless default print command
Product: Red Hat Raw Hide
Classification: Retired
Component: ggv (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Depends On:
  Show dependency treegraph
Reported: 2002-01-10 06:16 EST by Tim Waugh
Modified: 2013-04-02 00:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-10 10:43:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-01-10 06:16:07 EST
Description of Problem:
The default print command with ggv is ' %s', where %s is the filename.  Aside 
from the '%s' ickiness (see http://cyberelk.net/tim/articles/cmdline/), this 
just doesn't work, since it tries to execute the filename (duh).

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Try to print anything.

Actual Results:
/bin/bash: file.ps: command not found

Expected Results:
The printed file.

Additional Information:
Package needs a BuildRequires: lpr, or else the config.h needs tweaking after 
%configure so that LPR_PATH gets set right. (Looking at the configure.in I 
don't really understand why it _doesn't_ get set right.)
Comment 1 Jonathan Blandford 2002-03-18 14:32:46 EST
It seems to be getting it right currently for me.  One thing that could be
causing a problem (and confused me initially) is that it reads your setting in
from ~/.gnome/ggv.  At one point, I had the wrong settings stored here, and it
had propagated forward, despite the fact that the current defaults correct. 
Long term solution: move to GConf.

Note You need to log in before you can comment on or make changes to this bug.